﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;

public partial class CS : System.Web.UI.Page
{
    protected void btnCreate_Click(object sender, EventArgs e)
    {
        string directoryPath = Server.MapPath(string.Format("~/{0}/", txtFolderName.Text.Trim()));
        if (!Directory.Exists(directoryPath))
        {
            Directory.CreateDirectory(directoryPath);
        }
        else
        {
            ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('Directory already exists.');", true);
        }
    }

    protected void btnDelete_Click(object sender, EventArgs e)
    {
        string directoryPath = Server.MapPath(string.Format("~/{0}/", txtFolderName.Text.Trim()));
        if (Directory.Exists(directoryPath))
        {
            Directory.Delete(directoryPath);
        }
        else
        {
            ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('Directory does not exists.');", true);
        }
    }
}